GWEN_FUNCS Struct Reference

`#include <funcs.h>`

## Data Fields

const char * | description
int(* | func1 )(void)
int(* | func2 )(int, char **)
int(* | func3 )(GWEN_DB_NODE *, int, char **)
const char * | name

## Detailed Description

This is one of the very few structs inside Gwenhywfar whose contents are available for direct access to the the program. Developer's note: Please note that any change within this struct will make it necessary to increment the SO_VERSION of the library !

Definition at line 42 of file funcs.h.

## Field Documentation

## description

const char* description

Definition at line 47 of file funcs.h.

## func1

int(* func1) (void)

Definition at line 44 of file funcs.h.

## func2

int(* func2) (int, char **)

Definition at line 45 of file funcs.h.

## func3

int(* func3) (GWEN_DB_NODE *, int, char **)

Definition at line 46 of file funcs.h.

## name

const char* name

Definition at line 43 of file funcs.h.

The documentation for this struct was generated from the following file:

- funcs.h